Skip to main content
PUT
Update Driver

Authorizations

AccessToken
string
header
required

JWT returned as AccessToken by the /authentication endpoint (the Cognito ID token carrying the email claim). It expires after 3600 seconds.

Headers

AccessToken
string
required

Path Parameters

displayId
string
required
transactionId
integer
required
driverId
integer
required

Body

application/json
name_first
string
name_last
string
driver_license_state
string
driver_license_number
string
driver_date_of_birth
string<date>
covered
enum<string>
Available options:
Y,
N
years_cdl_experience
integer
months_cdl_experience
integer
accidents_total
integer
suspensions_total
integer
violations_total
integer
major_violations_total
integer

Response

Driver updated

status
string
Example:

"success"

driver_id
integer
submission_number
string
transaction_id
integer
updated_fields
string[]